(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     19553,        615]*)
(*NotebookOutlinePosition[     20832,        658]*)
(*  CellTagsIndexPosition[     20656,        649]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["Stringvacua Status",
  FontSize->24]], "Title",
  CellFrame->{{0, 0}, {2, 0}},
  FontSize->18],

Cell[TextData[StyleBox["Overview",
  FontSize->18]], "Subtitle",
  CellDingbat->None],

Cell[TextData[{
  StyleBox["A number of global variables contain information about the global \
status of the Stringvacua package and ",
    FontFamily->"Arial"],
  StyleBox["Singular",
    FontFamily->"Arial",
    FontSlant->"Italic"],
  StyleBox[".",
    FontFamily->"Arial"]
}], "Text",
  CellDingbat->None,
  FontFamily->"Times New Roman",
  FontSize->14,
  FontWeight->"Bold"],

Cell[TextData[{
  StyleBox["List of global status variables ",
    FontFamily->"Helvetica",
    FontSize->16],
  StyleBox["\n\n",
    FontFamily->"Helvetica",
    FontSize->12],
  Cell[BoxData[GridBox[{
          {
            RowBox[{
              StyleBox[
                ButtonBox["SingularStat",
                  ButtonData:>"SingularStat",
                  ButtonStyle->"Hyperlink"],
                FontFamily->"Arial"], 
              StyleBox["  ",
                FontFamily->"Arial",
                FontSize->12]}], 
            RowBox[{
              StyleBox[":",
                FontFamily->"Helvetica",
                FontSize->12], 
              StyleBox["  ",
                FontFamily->"Helvetica",
                FontSize->12], 
              RowBox[{
                StyleBox["Status",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["of",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["last",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["Singular",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontSlant->"Italic"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[\(\(call\)\(.\)\),
                  FontFamily->"Helvetica",
                  FontSize->12]}]}]},
          {
            StyleBox[
              RowBox[{
                ButtonBox["SingularVar",
                  ButtonData:>"SingularVar",
                  ButtonStyle->"Hyperlink"], " "}],
              FontFamily->"Arial"], 
            RowBox[{
              StyleBox[":",
                FontFamily->"Helvetica",
                FontSize->12], 
              StyleBox["  ",
                FontFamily->"Helvetica",
                FontSize->12], 
              RowBox[{
                StyleBox["Mapping",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["of",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["variables",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["from",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["Mathematica",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontSlant->"Italic"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["to",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["Singular",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontSlant->"Italic"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["from",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["last",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["Singular",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontSlant->"Italic"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[\(\(call\)\(.\)\),
                  FontFamily->"Helvetica",
                  FontSize->12]}]}]},
          {
            RowBox[{
              StyleBox[
                ButtonBox["SingularProt",
                  ButtonData:>"SingularProt",
                  ButtonStyle->"Hyperlink"],
                FontFamily->"Arial"], 
              StyleBox[" ",
                FontFamily->"Arial",
                FontSize->12]}], 
            RowBox[{
              StyleBox[":",
                FontFamily->"Helvetica",
                FontSize->12], 
              StyleBox["  ",
                FontFamily->"Helvetica",
                FontSize->12], 
              RowBox[{
                StyleBox["Protocol",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["from",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["last",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["Singular",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontSlant->"Italic"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["call",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["if",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["option",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["SingularProtocol",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontWeight->"Plain"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontWeight->"Plain"], 
                StyleBox["is",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontWeight->"Bold"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontWeight->"Bold"], 
                StyleBox["set",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontWeight->"Bold"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontWeight->"Bold"], 
                StyleBox["to",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontWeight->"Bold"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontWeight->"Bold"], 
                RowBox[{
                  StyleBox["String",
                    FontFamily->"Helvetica",
                    FontSize->12,
                    FontWeight->"Plain"], 
                  StyleBox[".",
                    FontFamily->"Helvetica",
                    FontSize->12]}]}]}]},
          {
            StyleBox[
              ButtonBox["SingularScripts",
                ButtonData:>"SingularScripts",
                ButtonStyle->"Hyperlink"],
              FontFamily->"Arial"], 
            RowBox[{
              StyleBox[":",
                FontFamily->"Helvetica",
                FontSize->12], 
              StyleBox["  ",
                FontFamily->"Helvetica",
                FontSize->12], 
              RowBox[{
                StyleBox["A",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["list",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["of",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["Singular",
                  FontFamily->"Helvetica",
                  FontSize->12,
                  FontSlant->"Italic"], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["scripts",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["loaded",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["by",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox["the",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->12], 
                StyleBox[\(\(package\)\(.\)\),
                  FontFamily->"Helvetica",
                  FontSize->12]}]}]}
          },
        ColumnAlignments->{Left}]]],
  " "
}], "Subsection",
  CellFrame->True,
  CellDingbat->"\[FilledSquare]",
  FontFamily->"Times New Roman",
  FontSize->14,
  FontWeight->"Bold",
  Background->RGBColor[1, 1, 0.901961]],

Cell[TextData[StyleBox["Detailed description of global status variables",
  FontSize->18]], "Subtitle",
  CellDingbat->None],

Cell[TextData[{
  "Global variable ",
  StyleBox["SingularStat",
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  "\n\n",
  StyleBox["After a call to ",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[", this variable contains a string which indicates the status of \
the ",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" execution. \nPossible values and their interpretation include\n",
    
    FontSize->12],
  StyleBox["\"ok\"",
    FontSize->12,
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  :  normal ",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" execution\n",
    FontSize->12],
  StyleBox["\"timed out after ... seconds\"",
    FontSize->12,
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  :  the upper time limit set by global option ",
    FontSize->12],
  StyleBox[ButtonBox["SingularMaxTime",
    ButtonData:>"Stringvacua Options",
    Active->True,
    ButtonStyle->"AddOnsLink",
    ButtonSource->ButtonData],
    FontFamily->"Arial",
    FontSize->12],
  StyleBox[" has been exceeded and ",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" has been timed out\n",
    FontSize->12],
  StyleBox["\"interrupted\" ",
    FontSize->12,
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[": the ",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" call has been interrupted by the user\n\n",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" errors may also be passed on to ",
    FontSize->12],
  StyleBox["Mathematica",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" via this global variable.",
    FontSize->12]
}], "Subsection",
  CellFrame->True,
  Background->GrayLevel[0.833326],
  CellTags->"SingularStat"],

Cell[TextData[{
  "Global variable ",
  StyleBox["SingularVar",
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  "\n",
  StyleBox["To convert ",
    FontSize->12],
  StyleBox["Mathematica",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" expressions into ",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" expressions, the package creates a mapping of variables and \
parameters from one system to the other which, for the last ",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" call, is stored in this global variable. It may be relevant for \
a user who wants to understand the details of a ",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" calculation.",
    FontSize->12]
}], "Subsection",
  CellFrame->True,
  Background->GrayLevel[0.833326],
  CellTags->"SingularVar"],

Cell[TextData[{
  "Global variable ",
  StyleBox["SingularProt",
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  "\n",
  StyleBox["If the global option",
    FontSize->12],
  StyleBox[" ",
    FontFamily->"Arial",
    FontSize->12],
  StyleBox[ButtonBox["SingularProtocol",
    ButtonData:>"Stringvacua Options",
    Active->True,
    ButtonStyle->"AddOnsLink",
    ButtonSource->ButtonData],
    FontFamily->"Arial",
    FontSize->12],
  StyleBox[" is set to ",
    FontSize->12],
  StyleBox["\"String\"",
    FontSize->12,
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" this global variable contains the protocol from the last ",
    FontSize->12],
  StyleBox["Singular",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[" call. ",
    FontSize->12]
}], "Subsection",
  CellFrame->True,
  Background->GrayLevel[0.833326],
  CellTags->"SingularProt"]
}, Open  ]],

Cell[TextData[{
  "Global variable ",
  StyleBox["SingularScripts",
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  "\n",
  StyleBox["A list with entries of the form ",
    FontSize->12],
  StyleBox["scriptname",
    FontSize->12,
    FontWeight->"Plain",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  \[Rule] ",
    FontSize->12,
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["str ",
    FontSize->12,
    FontWeight->"Plain",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[", where ",
    FontSize->12],
  StyleBox["scriptname ",
    FontSize->12,
    FontWeight->"Plain",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" is a string which contains the script name and ",
    FontSize->12],
  StyleBox["str",
    FontSize->12,
    FontWeight->"Plain",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  a string with the actual script.  Individual scripts can hence \
be accessed as ",
    FontSize->12],
  StyleBox["scriptname ", "Input",
    FontSize->12,
    FontWeight->"Plain",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["/.SingularScripts", "Input",
    FontSize->12,
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". Scripts are automatically loaded in by the package at start-up \
from all files with extension ",
    FontSize->12],
  StyleBox[".mathsing",
    FontSize->12,
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" in ",
    FontSize->12],
  StyleBox["$UserBaseDirectory<>\"/Applications/Stringvacualib\"",
    FontSize->12,
    FontWeight->"Plain"],
  StyleBox[". A summary of all loaded scripts can be obtained by executing ",
    FontSize->12],
  StyleBox["?SingularScriptInfo",
    FontSize->12,
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" in a notebook or text interface.",
    FontSize->12]
}], "Subsection",
  CellFrame->True,
  Background->GrayLevel[0.833326],
  CellTags->"SingularScripts"]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 717}},
CellGrouping->Manual,
WindowSize->{1144, 683},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowCellLabel->False,
StyleDefinitions -> "ArticleModern.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "SingularStat"->{
    Cell[13391, 393, 2073, 75, 207, "Subsection",
      CellTags->"SingularStat"]},
  "SingularVar"->{
    Cell[15467, 470, 962, 33, 104, "Subsection",
      CellTags->"SingularVar"]},
  "SingularProt"->{
    Cell[16432, 505, 921, 34, 87, "Subsection",
      CellTags->"SingularProt"]},
  "SingularScripts"->{
    Cell[17368, 542, 2181, 71, 122, "Subsection",
      CellTags->"SingularScripts"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"SingularStat", 20234, 633},
  {"SingularVar", 20337, 636},
  {"SingularProt", 20439, 639},
  {"SingularScripts", 20544, 642}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 118, 3, 76, "Title"],
Cell[1848, 57, 85, 2, 31, "Subtitle"],
Cell[1936, 61, 381, 13, 28, "Text"],
Cell[2320, 76, 10941, 311, 193, "Subsection"],
Cell[13264, 389, 124, 2, 31, "Subtitle"],
Cell[13391, 393, 2073, 75, 207, "Subsection",
  CellTags->"SingularStat"],
Cell[15467, 470, 962, 33, 104, "Subsection",
  CellTags->"SingularVar"],
Cell[16432, 505, 921, 34, 87, "Subsection",
  CellTags->"SingularProt"]
}, Open  ]],
Cell[17368, 542, 2181, 71, 122, "Subsection",
  CellTags->"SingularScripts"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

